/*
//	File:		I2CTest.h
//	Created:	Christian Apfel
//	Date:		23.12.2015
//
*/

#ifndef I2CTEST_H
#define I2CTEST_H

#include "DHHalLib.h"

class I2CTest
{
public:
	I2CTest();
	~I2CTest();
	void StartI2cTest();
	bool I2CWriteTest(DHCOM_I2CEnum eI2C, DHCOM_I2CFREQMode eI2CFreq, unsigned char iDevAddr, unsigned char iRegAddr, unsigned char *iData);
	bool I2CReadTest(DHCOM_I2CEnum eI2C, DHCOM_I2CFREQMode eI2CFreq, unsigned char iDevAddr, unsigned char iRegAddr, unsigned char *iData);
	bool I2CWriteMultible(DHCOM_I2CEnum eI2C, DHCOM_I2CFREQMode eI2CFreq, unsigned char iDevAddr, unsigned char iRegAddr, unsigned char *iData, unsigned char ucLen);
	bool I2CReadMultible(DHCOM_I2CEnum eI2C, DHCOM_I2CFREQMode eI2CFreq, unsigned char iDevAddr, unsigned char iRegAddr, unsigned char *iData, unsigned char ucLen);
};

#endif