/*
//	Description: Demo Touch Functions
//	File:		TouchTest.cpp
//	Created:	Christian Apfel
//	Date:		23.12.2015
//
*/

#include "stdafx.h"
#include "TouchTest.h"

using namespace std;

TouchTest::TouchTest()
{

}

TouchTest::~TouchTest()
{

}

// ****** Demo App Menu Functions ******

void TouchTest::StartTouchTest()
{
	int TOUCH_TEST;
	char *cStatus = new char[20];

	// Wait Loop for 0 to Exit
	do
	{
		cout << "---------------------------------" << endl;
		cout << "Select Touch Test!" << endl;
		cout << "---------------------------------" << endl;
		cout << "1: Clear Touch Data Test" << endl;
		cout << "2: Set Touch Data Test" << endl;
		//cout << "3: Save Touch Data Test" << endl;
		cout << "0: Main Menu" << endl;
		cout << "---------------------------------" << endl;
		cout << "Enter Test Number: ";
		cin >> TOUCH_TEST;

		switch(TOUCH_TEST)
		{
		case 1:
			{
				cout << endl;
				cout << "Clear Touch Data Test" << endl;
				cout << "------------------------------------" << endl;

				if(ClearTouchData() == true)
				{
					cStatus = "Success";
				}
				else
				{
					cStatus = "Failed";
				}

				cout << "Clear Touch Data " << " is " << cStatus << "!!!" << endl;
				cout << "------------------------------------" << endl;
			}
			break;
		case 2:
			{
				cout << endl;
				cout << "Set Touch Data Test" << endl;
				cout << "------------------------------------" << endl;

				if(SetTouchData() == true)
				{
					cStatus = "Success";
				}
				else
				{
					cStatus = "Failed";
				}

				cout << "Set Touch Data " << " is " << cStatus << "!!!" << endl;
				cout << "------------------------------------" << endl;
			}
			break;
		case 3:
			{
				/*
				bool bState = false;
				cout << endl;
				cout << "Save Touch Data Test" << endl;
				cout << "------------------------------------" << endl;

				if(SaveTouchData() == true)
				{
					cStatus = "Success";
				}
				else
				{
					cStatus = "Failed";
				}
				cout << "Save Touch Data " << " is " << cStatus << "!!!" << endl;
				cout << "------------------------------------" << endl;
				*/
				cout << "Touch Data saved automatically after Setup Touch!" << endl;
			}
			break;
		case 0:
			{
				return;
			}
		default:
			{
				cout << "Not valid Test Function!!!" << endl;
			}
			break;
		}
	}while(1); //GPIO_PIN_TEST != 0);
}

// ****** Touch Functions ******

bool TouchTest::ClearTouchData()
{
	return (ClearTouchCalibrationData());
}

bool TouchTest::SetTouchData()
{
	return (CalibrateTouch());
}

/*
bool TouchTest::SaveTouchData()
{
	return (SaveTouchCalibrationData());
}
*/